Last modified: 2014-07-18 12:27:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 12410 - Documentation about character coding and conversion in MediaWiki
Documentation about character coding and conversion in MediaWiki
Status: RESOLVED WORKSFORME
Product: MediaWiki
Classification: Unclassified
Documentation (Other open bugs)
unspecified
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
http://test.wikipedia.org/wiki/Templa...
aklapper-moreinfo
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2007-12-25 06:12 UTC by lɛʁi לערי ריינהארט
Modified: 2014-07-18 12:27 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description lɛʁi לערי ריינהארט 2007-12-25 06:12:46 UTC
Dear friends;

I did not come across this issue. In order to define a unique sort criteria in categories ( see http://test.wikipedia.org/wiki/Template:Sort_key/ and http://test.wikipedia.org/wiki/Template:Sort_key/#comments ) I needed a character which is not allowed in page titles but which is accepted in MediaWiki.

http://test.wikipedia.org/wiki/Template_talk:Sort_key/#wikification_for_09_0A_0D
shows that 	 
 
 are accepted as MediaWiki input
and
http://test.wikipedia.org/wiki/Template_talk:Sort_key/#piping_with_09_0A_0D
shows that 	 
 
 are accepted for pipe.

questions:

a1) is this legal?
a2) if not it probably will change at some point in time?

b1) is this included in the documentation?
b2) where?

Best regards Reinhardt [[user:Gangleri]]

P.S. MediaZilla is *not* a forum. Allow me one related question:

c1) where is the documentation about character normalisation / conversion?
Comment 1 Quim Gil 2012-11-28 07:30:04 UTC
This is a very old bug report, never addressed. Probably fixed?

Is this still a problem in current MediaWiki installations?
Comment 2 Andre Klapper 2012-11-28 08:24:18 UTC
The links are now
http://test.wikipedia.org/wiki/Template_talk:Sort_key/#wikification_for_.26.23x09.3B_.26.23x0A.3B_.26.23x0D.3B
http://test.wikipedia.org/wiki/Template_talk:Sort_key/#piping_with_.26.23x09.3B_.26.23x0A.3B_.26.23x0D.3B

(In reply to comment #0)
> In order to define a unique sort criteria in categories I needed a character
> which is not allowed in page titles but which is accepted in MediaWiki.

This sounds like a gross hack to me.
Explaining what you try to achieve (concrete example) would be good.

> a1) is this legal?

What is "this" here? 
The current situation, or the use of those three characters for sorting?

> a2) if not it probably will change at some point in time?

No guarantees.
Comment 3 Quim Gil 2013-11-19 15:27:12 UTC
At this point, what is the enhancement requested in this report? To document a current behavior or to change something?

Marking as Lowest since this seems to reflect the situation better.
Comment 4 Andre Klapper 2014-07-18 12:27:16 UTC
Unfortunately closing this report as no further information has been provided.

lɛʁi: Please feel free to reopen this report if you can provide the information asked for in comment 3, and if this still happens. Thanks!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links